瀏覽代碼

Add a simple multirust script for local "CI"

Josh Stone 9 年之前
父節點
當前提交
ddc0b1ce0e
共有 1 個文件被更改,包括 16 次插入0 次删除
  1. 16 0
      .multirust.sh

+ 16 - 0
.multirust.sh

@@ -0,0 +1,16 @@
+#!/bin/sh
+# Use multirust to locally run the same suite of tests as .travis.yml.
+# (You should first install/update 1.0.0, beta, and nightly.)
+
+set -ex
+
+for toolchain in 1.0.0 beta nightly; do
+    run="multirust run $toolchain"
+    $run cargo build --verbose
+    $run cargo test --verbose
+    $run .travis/test_features.sh
+    if [ $toolchain = nightly ]; then
+        $run .travis/test_nightly.sh
+    fi
+    $run cargo doc
+done